com.holonplatform.datastore.mongo.reactor

## Interface ReactiveMongoDatastore

- All Superinterfaces:
    BaseAsyncMongoDatastore, com.holonplatform.core.datastore.ConfigurableDatastore, com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<AsyncMongoDatastoreCommodityContext>, com.holonplatform.core.datastore.DatastoreOperations<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,reactor.core.publisher.Mono<com.holonplatform.core.property.PropertyBox>,com.holonplatform.reactor.datastore.operation.ReactiveBulkInsert,com.holonplatform.reactor.datastore.operation.ReactiveBulkUpdate,com.holonplatform.reactor.datastore.operation.ReactiveBulkDelete,com.holonplatform.reactor.datastore.operation.ReactiveQuery>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, MongoDatabaseHandler<com.mongodb.reactivestreams.client.MongoDatabase>, com.holonplatform.reactor.datastore.ReactiveDatastore, com.holonplatform.reactor.datastore.transaction.ReactiveTransactional, Serializable
  All Known Implementing Classes:
    DefaultReactiveMongoDatastore

      public interface ReactiveMongoDatastore
      extends BaseAsyncMongoDatastore, com.holonplatform.reactor.datastore.ReactiveDatastore, com.holonplatform.reactor.datastore.transaction.ReactiveTransactional

  MongoDB `ReactiveDatastore` implementation, using Project Reactor APIs.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ReactiveMongoDatastore.Builder` `ReactiveDatastore` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreOperations

      `com.holonplatform.core.datastore.DatastoreOperations.WriteOption`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReactiveMongoDatastore.Builder` | `builder()` Get a builder to create a `ReactiveMongoDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatabaseHandler

      `withDatabase, withDatabase`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

    - ### Methods inherited from interface com.holonplatform.reactor.datastore.ReactiveDatastore

      `bulkDelete, bulkInsert, bulkUpdate, delete, insert, isTransactional, query, query, refresh, requireTransactional, save, update`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, addExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.reactor.datastore.transaction.ReactiveTransactional

      `withTransaction, withTransaction`

- - ### Method Detail

    - #### builder

          static ReactiveMongoDatastore.Builder builder()

      Get a builder to create a `ReactiveMongoDatastore` instance.
      Returns:
        Datastore builder

Copyright © 2019 The Holon Platform. All rights reserved.